import type { PayloadAction } from '@reduxjs/toolkit';
import type { SearchCriterionTerm } from '@looker/sdk-codegen';
export interface UserDefinedSettings {
    sdkLanguage: string;
}
export interface SettingState extends UserDefinedSettings {
    searchPattern: string;
    searchCriteria: SearchCriterionTerm[];
    initialized: boolean;
    error?: Error;
}
export declare const defaultSettings: {
    sdkLanguage: string;
    searchPattern: string;
    searchCriteria: ("title" | "description" | "name" | "type" | "property" | "method" | "argument" | "activityType" | "status" | "response")[];
};
export declare const defaultSettingsState: SettingState;
declare type SetSearchPatternAction = Pick<SettingState, 'searchPattern'>;
declare type SetSdkLanguageAction = Pick<SettingState, 'sdkLanguage'>;
export declare type InitSuccessPayload = UserDefinedSettings;
export declare const settingsSlice: import("@reduxjs/toolkit").Slice<SettingState, {
    initSettingsAction(): void;
    initSettingsSuccessAction(state: import("immer/dist/internal").WritableDraft<SettingState>, action: PayloadAction<InitSuccessPayload>): void;
    initSettingsFailureAction(state: import("immer/dist/internal").WritableDraft<SettingState>, action: PayloadAction<Error>): void;
    setSdkLanguageAction(state: import("immer/dist/internal").WritableDraft<SettingState>, action: PayloadAction<SetSdkLanguageAction>): void;
    setSearchPatternAction(state: import("immer/dist/internal").WritableDraft<SettingState>, action: PayloadAction<SetSearchPatternAction>): void;
}, "settings">;
export declare const settingActions: import("@reduxjs/toolkit").CaseReducerActions<{
    initSettingsAction(): void;
    initSettingsSuccessAction(state: import("immer/dist/internal").WritableDraft<SettingState>, action: PayloadAction<InitSuccessPayload>): void;
    initSettingsFailureAction(state: import("immer/dist/internal").WritableDraft<SettingState>, action: PayloadAction<Error>): void;
    setSdkLanguageAction(state: import("immer/dist/internal").WritableDraft<SettingState>, action: PayloadAction<SetSdkLanguageAction>): void;
    setSearchPatternAction(state: import("immer/dist/internal").WritableDraft<SettingState>, action: PayloadAction<SetSearchPatternAction>): void;
}>;
export declare const useSettingActions: () => import("@reduxjs/toolkit").CaseReducerActions<{
    initSettingsAction(): void;
    initSettingsSuccessAction(state: import("immer/dist/internal").WritableDraft<SettingState>, action: PayloadAction<InitSuccessPayload>): void;
    initSettingsFailureAction(state: import("immer/dist/internal").WritableDraft<SettingState>, action: PayloadAction<Error>): void;
    setSdkLanguageAction(state: import("immer/dist/internal").WritableDraft<SettingState>, action: PayloadAction<SetSdkLanguageAction>): void;
    setSearchPatternAction(state: import("immer/dist/internal").WritableDraft<SettingState>, action: PayloadAction<SetSearchPatternAction>): void;
}>, useSettingStoreState: () => SettingState;
export {};
